Implement buffering in DispatchingTermLookup
Closed, ResolvedPublic

Description

Following up T149583 BufferingTermLookup(s) used in client should work with foreign entity ids.
We need to figure out how to handle buffering with multiple repositories.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2016, 1:47 PM
hoo added a subscriber: hoo.Nov 1 2016, 1:50 PM

We should probably use this opportunity to unwind how caching works inside of the various term related services.

You might want to make BufferingTermLookup a general wrapper around another EntityTermLookupBase (instead of it using a TermIndex directly).

daniel added a comment.Nov 1 2016, 2:11 PM

Please keep in mind that the defining feature of BufferingTermIndex is prefetching, not caching. It's related, but different, concern.

hoo added a comment.Nov 1 2016, 3:14 PM

Please keep in mind that the defining feature of BufferingTermIndex is prefetching, not caching. It's related, but different, concern.

True… the name doesn't really reflect that, though. Often it's enough to have a caching service that allows batch lookups to implement pre-fetching, I guess that is also true here.

daniel added a comment.Nov 1 2016, 5:52 PM

Please see me implementation notes in T148141#2760606

Jakob_WMDE moved this task from accepted to doing on the WMDE-TLA-Team board.

Change 320225 had a related patch set uploaded (by Jakob):
WIP: Add DispatchingTermBuffer.

https://gerrit.wikimedia.org/r/320225

WMDE-leszek moved this task from doing to needs review on the WMDE-TLA-Team board.Nov 8 2016, 12:24 PM

Change 320225 merged by jenkins-bot:
Add DispatchingTermBuffer.

https://gerrit.wikimedia.org/r/320225

WMDE-leszek moved this task from needs review to done on the WMDE-TLA-Team board.Nov 14 2016, 4:02 PM
Ladsgroup moved this task from Proposed to Done on the Wikidata-Sprint board.Nov 18 2016, 10:32 AM
WMDE-leszek closed this task as Resolved.Nov 22 2016, 1:28 PM